# Node labels 
# - these must be unique
NODE_SUBSEQUENCE = "Subsequence"
NODE_REFERENCE   = "Reference"
NODE_FEATURE     = "Feature"
NODE_GENE        = "Gene"
NODE_SEQUENCE    = "Sequence"
NODE_RECORD      = "Record"
NODE_BLAST       = "Query"
NODE_TAXON       = "Taxon"
NODE_PLASMID     = "Plasmid"
NODE_FAMILY      = "Family"
NODE_SOURCE      = "Source"
NODE_SUPERFAMILY = "Superfamily"
NODE_GOCLASS     = "Go"
NODE_PFAMCLASS   = "Pfam"
NODE_IPRCLASS    = "Ipr"
NODE_KEGGCLASS   = "Kegg"

# Edge labels 
# - these must be unique for a given start and end
EDGE_GOCLASS_CONTAINS_GOCLASS                      = "Contains"
EDGE_GOCLASS_CONTAINS_SEQUENCE                     = "Contains"
EDGE_PFAMCLASS_CONTAINS_SEQUENCE                   = "Contains"
EDGE_IPRCLASS_CONTAINS_SEQUENCE                    = "Contains"
EDGE_SEQUENCE_CONTAINS_FEATURE                     = "Contains"
EDGE_FEATURE_OVERLAPS_FEATURE                      = "Overlaps"
EDGE_SEQUENCE_REFERENCES_REFERENCE                 = "References"
EDGE_FILE_CONTAINS_SEQUENCE                        = "Contains"
EDGE_SEQUENCE_BLASTQUERIED_SEQUENCE                = "Like"
EDGE_SUBSEQUENCE_BLASTQUERIED_SUBSEQUENCE          = "Like"
EDGE_BLASTNODE_QUERIES_SEQUENCE                    = "Queries"
EDGE_TAXON_CONTAINS_TAXON                          = "Contains"
EDGE_TAXON_CONTAINS_SEQUENCE                       = "Contains"
EDGE_BLASTNODE_USES_SUBSEQUENCE                    = "Queries"
EDGE_SEQUENCE_CONTAINS_SUBSEQUENCE                 = "Contains"
EDGE_SUBSEQUENCE_OVERLAPS_SUBSEQUENCE              = "Overlaps"
EDGE_PLASMID_CONTAINS_SEQUENCE                     = "Contains"
EDGE_SOURCE_CONTAINS_FAMILY                        = "Contains"
EDGE_FAMILY_CONTAINS_SEQUENCE                      = "Contains"
EDGE_FAMILY_ACCOMPANIES_FAMILY                     = "Accompanies"
EDGE_FAMILY_AVOIDS_FAMILY                          = "Avoids"
EDGE_SOURCE_TOUCHES_FAMILY                         = "Touches"
EDGE_FAMILY_REACHES_TAXON                          = "Reaches"
EDGE_SUPERFAMILY_CONTAINS_FAMILY                   = "Contains"
EDGE_SOURCE_CONTAINS_SUPERFAMILY                   = "Contains"

# Properties
PROP_TAXON_SCI_NAME           = "scientific_name"
PROP_SEQUENCE_ORG_NAME        = "/organism"
PROP_ALL_PRIMARY_KEY          = "uid"
PROP_SOURCE_FILE_NAME         = "file_path"
PROP_TRACKER_BLAST_NODES      = "~blast_nodes_created"
PROP_TRACKER_TARGET_NODES     = "~target_nodes_created_alt"
PROP_TRACKER_SEQUENCE_TOUCHES = "~checked_touches"
PROP_TRACKER_PLASMID_NODES    = "~plasmid_nodes_created"

DEFAULT_DELETE_LIMIT = 1000

UID_TAXON_UNKNOWN  = "unknown"
UID_FEATURE_FORMAT = "{0}/Features/{1}"
